AutoCAD Inventor :: Constrain Point To Curved Line?
Nov 23, 2012
I have an assembly with a curved line made in a sketch, and a part with a point in the bottom.
I want to constrain the point to the curved line, but the regular Constrain options wont let me do so.
I am making an animation with Inventor Studio, so I need this constrain, so I later on in studio can manipulate it and insert the first part into the other.
Having a time getting ribs to align 2m below top of ridge beam, and connect to curved wall below. I created one, then arrayed, but the radius changes at each 2.5 degree interval. I don't think I should have to calculate the % radius change to get the beams to do this. Some constraint button maybe?
Not sure if editing a wall profile is the best way to model this, but it's working.
I am trying to constrain a curved wheel to a round, steel track. No constraint has been effective so far. Is there anything I can do to make the wheels stay on track?
I made a bunch of lines, then used the bend command to make curves where they intersected. I'm trying to put lines connecting A to C and B to D. How do I constrain the ends of the lines to the center of the curves?
How to create a flow arrow label for a feature line that parallels the curve?
I've a vague notion that this could be done with a dynamic block and a few fancy expressions. I'm comfortable with expressions, but I've never used dynamic blocks at all, so I wouldn't know where to start.
To be clear, I know curved text is possible, but I'm looking for a curved line (ie an arc) that would look 'parallel' to the arc of the feature line (ie have the same centre point). This would have to be dynamic to allow for different radii and for flipping to the left and right side of the feature line.
I draw a curved line and would like it to remain as a curved line even after saving the file. However everytime after saving, and opening the file again, the curve breaks into many line segments, which is not what I want! I want the curved line that I draw to remain as a curved line even after saving and opening. How do I do that? I am using autocad2010.
I use the ARC command to draw a couple of lines, they look okay here. But after I saved it, and re-open it again, what previously appeared as curved lines changed in their appearance to polyline segments.
I want to extrude a big number of pillars to a rather complicated surface and that works out fine. But each end of the pillars warps around the surface and I want them just to go up to it and stop with a resulting horizontal face.
I must not be the only one required to produce 2d dwg's for work.
I'm using INV 2009 and our vendor swears up and down in 2012 every thing is fixed, which somehow I doubt since they failed to fix the conversion from idw to dwg in the previous 12-13 releases.
Anyways, my problem today is that the dimiension lines I spent so much time making them meet our industry and company standards in my idw are all wrong in the dwg's I saved.
I am trying to create a workplane by a point and a line. I can do this maually, but have not been able to reproduce this in code.
BTW: I realize I can create a fixed workplane by using the point, the edge, and an edge perpendicular to the edge, but I cannot have this as a fixed workplane.
I have to create a hole (extrude) in a wall part in my assembly document where a stack will be installed.
To determine where, I verify if a line segment pass through the wall (XY Plane).
But I get an error with the command: IntersectWithLine
Here's my
Public Function IntersectionPoint(ByVal app As Inventor.Application, ByVal wp As Inventor.WorkPlane) As Inventor.Point Dim oTransGeom As Inventor.TransientGeometry = app.TransientGeometry Dim startPoint As Inventor.Point = oTransGeom.CreatePoint(Me.StartVertex.X, [Code] ......
I'm trying to draw a plan of my house in Autocad 2009 but I seem to be endlessly using trim and extend because I can't easily select the points that I want with osnap. Eg. imagine I have a box, and I want to start drawing another box inside it that has each side as 10 units smaller than the corresponding side on the outer box.
Step 1 - I draw a small line from the top left corner of the big box using the endpoint snap, typing in "5" for the length.
Step 2 - I then do the same at right angles to the first line to get me to the starting point of the inner box. This always leaves me with 2 small lines to remember to delete.
Step 3 - Then in order to draw the top line of the inner box I end up drawing to a random length because I can't say "draw until 5 units away from the right hand side of the big box", then I end up trimming it later once I've repeated steps 1,2 and 3 for the next side of the inner box.
I know in my example above I could have scaled the box down or something but that's not what I'm getting at. I really want a way of selecting line start and end points that are a known position away from an existing point.
I have a curved path. I want to add on to this path with another curve. I know how to make another curved line, but I don't know how to make it to where the final product (when both the paths are connected) nice and smooth. Currently I'm having to try and do it by eye (I'm trying to make it as smooth as possible by looking at the first path and making the curve on the second path as close as I can).
I have a bench which I have drawn in CAD, and I want to calculate the area.
The bench is a sort of "S" shape.
In the past I have only calculated the areas of straight objects and so have been able to pick points, but i'm not sure how to go about it when the object includes a curve.
I have a line or a pline segment and i want to start a line from a point laying there and go perpendicular outwards. Is there a way to do it with tracking?
Yes, i saw the command draw line at an angle but i find it a little bit complicated for a simple task like that. I am sure autodesk have a simplest solution about that.
If i am already at the draw line mode and i can easy catch the tracking perpendicular to previous segment but if i want to start from another line and go perpendicular i cannot make the tracking work.
If there is a way to "flatten" a non curved polyline or series of lines to one straight segmented line, without altering the distances of each segment?
I've managed to hack together some code to draw a rectangle and dimension it. Now I want to constrain it to the origin. I figure either using two dimensions from a top/side to the origin and setting the dimension as half of the other respective dimension would work. Or constraining the center point of a top/side line to be vertical/horizontal to the origin.
The problem I'm having is I do not know how to reference the origin. So until I figure out how to reference the origin point I can't use either method.
Public Sub DrawSketchLine() ' Check to make sure a sketch is open. If Not TypeOf ThisApplication.ActiveEditObject Is PlanarSketch Then MsgBox "A sketch must be active." Exit Sub End If ' Set a reference to the active sketch. Dim oSketch As PlanarSketch Set oSketch = ThisApplication.ActiveEditObject ' Set a reference to the transient geometry collection. Dim oTransGeom As TransientGeometry Set oTransGeom = ThisApplication.TransientGeometry Dim oUOM As UnitsOfMeasure Set oUOM = [Code].......
I've made 2 parts and I'm attempting to constrain them but I can't seem to get it to fit properly.The transition should fit at the opposite end of the 2 square cutouts with the square end of the transition inside the cylinder.
I am trying to CAD a model rocket I just made so I can test the aerodynamics of it. I have all of the individual parts made in inventor, but I am having trouble getting the fins on the rocket.
How can I constrain the fins (which have a flat face) to the outside of the cylindrical rocket tube? The photo shows the fin and the face (the narrow and long face) that I am trying to constrain to the tube.
SO what is everyone say, trick about speeding up constrain execution. I have started working on this new project with 2013. And i'm finding myself losing alot of time. Basicly what i do is insert part from our database or content center and assemble them. So 80% of my activities on inventor are constraints. Right now i have this assemblies 175 / 156(small to me). And executing a constraint is minimum 4 seconds each time. If you consider that about 3 contraint is needed for each piece and final total part will probably be around 1000. i'm losing alot of time here
Yeah, i am not using preview. Why is inventor recalculating that much each time? Is it doing a rebuilt after each constraint?
What have you done that really increase the excution time of constraints?
Workstaion is Windows 7 64bit Intel Extreme i7cpu I975 @ 3,33 12bg ram 4 ssd in Raid stripping.Nvidia FX3800 Inventor 2013 SP1
I am trying to determine how to properley constrain the assembly below, so that the compression of the rubber gasket will be properly indicated.
Currently I am seeing the deflection of the shelf in the downward direction, but I do not see any indication of stress in the gasket behind.Currently the gasket is "bonded" to the steel tube the screws are bonded to the shelf bracket and the steel tube.
I put in "work axis" at the center line of the shelf bracket and the CL of the gasket, but I can't find a way to constrain to a work axis.The file is too large to upload here...
I have one problem and I would like to get your opinion how I could solve this.
I can't share models I have problem with, but I made another with the same problem.
I have two parts - one with slot, another with "pin". How to constrain the "pin" to always move in slot?
I had some ideas but non of them worked for me:
1. Use the Transitional constrain came first in mind, but it gives unsuspected results in this situation. Pin part is jumping around and ends up contrained in another place ir should be.
2. Contact solver kind of do the job, but it works quite bad. I gives no control or accuracy (i can not control how much pin is moved out)
3. I even thought of point on 3d sketch constrain, but it can not be done
How you would suggest to constrain the movement? I hope I stated problem clear enough.
I'm trying to make a constraint allowing the dark smaller cylinder (1) to run in the copper track (2). I want the larger cylinder (3) to be able to rotate around its own axis, while everything is rotating around the Z axis. I've successfully constrained the parts so that all the parts can rotate around the Z-axis but when I constrain the smaller cylinder (1) with the tangent constraint with the track (2) the smaller cylinder is not able to move around on the face, it's just glued to the face.
I want the smaller cylinder (1) to recognize the copper faces as solids (so that it can't intersect the surfaces), this would allow the proper movement. I've attached an image of the parts.
How is this accomplished in Inventor? The 3D sketch environment seems intentionally crippled. Many of the constrains are not available, and the "include geometery" command refuses to include the origin (or any other planes and axis for that matter).